module.exports = {


  friendlyName: 'Login',


  description: 'Login user.',


  inputs: {
    email: {
      type: 'string',
      required: true,
      isNotEmptyString: true
    },
    password: {
      type: 'string',
      required: true,
      isNotEmptyString: true
    }
  },


  exits: {
    success: {
      responseType: 'ok'
    },
    err: {
      responseType: 'err'
    }
  },


  fn: async function (inputs, exits) {
    // 取得帳號並驗證帳號是否存在
    const _findUser = await User.findOne({
      email: inputs.email
    }).decrypt();

    if (!_findUser) {
      return exits.err(100);
    }

    // 比對密碼
    if(!(inputs.password === _findUser.password)){
      return exits.err(101);
    }

    // 比對帳號是否啟用
    if (_findUser.status !== 1) {
      return exits.err(102);
    }

    // 驗證成功，簽發 JWT Token
    let jwtToken = await sails.helpers.issueJwt(inputs.email);

    // 回傳
    return exits.success({
      token: jwtToken
    });

  }


};
