const jwt = require('jsonwebtoken');
const uuid = require('uuid/v4');

module.exports = {


  friendlyName: 'Issue jwt',


  description: '',


  inputs: {
    email: {
      type: 'string',
      required: true,
      isNotEmptyString: true
    }
  },


  exits: {
    success: {
      description: 'All done.',
    },

  },


  fn: async function (inputs, exits) {
    let token = await jwt.sign({
      iat: Math.floor(Date.now()/1000)
    }, sails.config.custom.jwtSecret, {
      issuer: 'Exam API SSO System',
      subject: inputs.email,
      audience: 'Exam System',
      expiresIn: '3h',
      jwtid: uuid(),
    });
    return exits.success(token);
  }


};
