/**
 * App.js
 *
 * @description :: A model definition represents a database table/collection.
 * @docs        :: https://sailsjs.com/docs/concepts/models-and-orm/models
 */
const uuid = require('uuid/v4');

module.exports = {

  attributes: {
    name: {
      type: 'string',
      required: true,
      isNotEmptyString: true
    }, // App 名稱
    info: {
      type: 'string',
      defaultsTo: ''
    }, // App 介紹
    appId: {
      type: 'string',
      defaultsTo: ''
    }, // App ID
    appSecret: {
      type: 'string',
    }, // App Secret
  },
  beforeCreate: (data, proceed) => {
    data.appId = uuid().replace(/\-/g, '').substr(0, 8).toString();
    data.appSecret = uuid().replace(/\-/g, '').toString();
    return proceed();
  }
};
