/**
 * User.js
 *
 * @description :: A model definition represents a database table/collection.
 * @docs        :: https://sailsjs.com/docs/concepts/models-and-orm/models
 */
const uuid = require('uuid/v4');

module.exports = {

  attributes: {
    email: {
      type: 'string',
      unique: true,
      required: true,
      isEmail: true
    }, // mail（帳號）
    // name: {
    //   type: 'string',
    //   required: true
    // }, //姓名
    password: {
      type: 'string',
      required: true,
      encrypt: true
    }, // 密碼,
    // role: {
    //   type: 'number',
    //   defaultsTo: 999
    // }, // 權限，0: 系統管理員、999：一般使用者
    status: {
      type: 'number',
      defaultsTo: 1
    }, // 狀態，0: 等待驗證、1: 啟用中、2: 停用中
    // regToken: {
    //   type: 'string',
    //   defaultsTo: '',
    //   unique: true
    // }, // 註冊驗證碼
  },
  beforeCreate: (data, proceed) => {
    data.regToken = uuid().replace(/\-/g, '').substr(0, 16);
    return proceed();
  }
};
